.\"	$NetBSD: siop.4,v 1.16 2008/04/05 15:59:28 skrll Exp $
.\"
.\" Copyright (c) 2000 Manuel Bouyer.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 5, 2008
.Dt SIOP 4
.Os
.Sh NAME
.Nm siop
.Nd Symbios Logic/NCR 53c8xx SCSI driver
.Sh SYNOPSIS
.Ss hp700
.Cd "siop* at mainbus? irq 3"
.Cd "siop* at phatomas? irq 3"
.Ss PCI
.Cd "siop* at pci? dev ? function ?"
.Pp
.Cd "options SIOP_SYMLED"
.Cd "scsibus* at siop?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Symbios Logic/NCR 53x8xx series of
.Tn SCSI
controller chips:
.Pp
.Bl -dash -compact -offset indent
.It
53c810, 53c810a and 53c815 (Fast
.Tn SCSI )
.It
53c820, 53c825 and 53c825a (Fast-Wide
.Tn SCSI )
.It
53c860 (Ultra
.Tn SCSI )
.It
53c875 and 53c875j (Ultra-Wide
.Tn SCSI )
.It
53c876 (Dual Ultra-Wide
.Tn SCSI )
.It
53c885 (Ultra-Wide
.Tn SCSI
and
.Tn Ethernet )
.It
53c895 (Ultra2-Wide
.Tn SCSI )
.It
53c896 (PCI 64bit, dual Ultra2-Wide
.Tn SCSI )
.It
53c1010-33 (PCI 64bit, dual Ultra160
.Tn SCSI )
.It
53c1510d (PCI 64bit, dual Ultra2-wide
.Tn SCSI )
.El
The SIOP_SYMLED option causes the driver to report SCSI activity on the GPIO
pin 1, which is connected to the activity LED on some adapters. At this time
only the 53c895 based Symbios and Tekram adapters are known to require this.
.Pp
If both
.Nm
and the
.Xr esiop 4
drivers are compiled,
.Xr esiop 4
will take precedence for controllers it supports.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr esiop 4 ,
.Xr intro 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4 ,
.Xr uk 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5 .
.Sh AUTHORS
The
.Nm
driver was written by Manuel Bouyer
.Aq Manuel.Bouyer@lip6.fr
for
.Nx .
.Sh BUGS
.Nm
supports the 53c1010-33 in Ultra2-wide mode only. Use
.Xr esiop 4
for Ultra160 support.
